Skip to content

Create Conversation

POST
/api/v1/projects/{project_id}/conversations
curl --request POST \
--url https://aura.strangeworks.com/api/v1/projects/example/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example" }'
project_id
required
Project Id
string
Media typeapplication/json
ConversationCreate
object
title
Any of:
string
Examplegenerated
{
"title": "example"
}

Successful Response

Media typeapplication/json
ConversationResponse
object
created_at
required
Created At
string format: date-time
id
required
Id
string
is_active
required
Is Active
boolean
message_count
Message Count
integer
0
preview
Any of:
string
project_id
required
Project Id
string
title
required
Any of:
string
updated_at
required
Updated At
string format: date-time
Example
{
"message_count": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}